<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Вы действительно хотите проверить базу данных ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '<a href="?func=db.repair&amp;elid=' . urlencode($_GET['elid']) . '&amp;sok=yes">Да</a> / <a href="?func=db">Нет</a>' . "\n";
    echo '</div></div>' . "\n";
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=db.repair&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'База данных успешно проверена!<br />' . "\n";
        echo '<a href="?func=db">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при проверке базы данных!<br />' . "\n";
        echo '<a href="?func=db">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>